#ifndef PROCESS_H
#define PROCESS_H

typedef struct Process {
	struct Process *prev_elem;
	struct Process *next_elem;
    char *username;
	char job;
	int arrival_time;
	int duration;
    int finish_time;
} Process;

Process *createProcess(char *username, char job, int arrival_time, int duration);

void destroyProcess(Process *node);

#endif //PROCESS_H
